felix-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard S. Hall" <he...@ungoverned.org>
Subject Re: Missing requirement osgi.wiring.package
Date Wed, 28 Sep 2011 17:10:52 GMT
I've published a 4.1.0-SNAPSHOT version that addresses this issue. You 
can go to the Apache snapshot repository and grab the distribution (or 
just the main JAR to replace your felix.jar) to test it.

-> richard

On 9/28/11 12:38 PM, Richard S. Hall wrote:
> It is definitely a bug, see:
>
>     https://issues.apache.org/jira/browse/FELIX-3137
>
> We'll see about doing a quick 4.0.1 release. In the mean time, I think 
> you can work around this issue by resolving the dependent bundles 
> before iPOJO (or in one big resolve operation).
>
> -> richard
>
> On 9/28/11 12:08 PM, Richard S. Hall wrote:
>> After some preliminary investigation, I think there may be a bug in 
>> Felix framework 4.0.0 with regard to its handling of singletons. The 
>> iPOJO core bundle is a singleton and that appears to be causing the 
>> framework to not properly index its packages. I need to investigate 
>> it a bit more. If it turns out to be the case, we'll probably try to 
>> quickly push a 4.0.1 release to fix it.
>>
>> -> richard
>>
>> On 9/28/11 10:03 AM, Benoît Thiébault wrote:
>>> Done:
>>>
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.naming) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.script) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.servlet) ->  [2.0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.servlet.http) ->  [2.0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package; (osgi.wiring.package=javax.sql)
>>> ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.swing) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.xml.datatype) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.xml.namespace) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.xml.parsers) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.xml.transform) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.xml.transform.dom) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.xml.transform.sax) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.xml.transform.stream) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.xml.validation) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.w3c.dom) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.w3c.dom.events) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.w3c.dom.ls) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.xml.sax) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.xml.sax.ext) ->  [0]
>>> DEBUG: WIRE: [3.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.xml.sax.helpers) ->  [0]
>>> DEBUG: WIRE: [6.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.apache.felix.service.command)(status=provisional)(version>=0.10.0)(!(version>=1.0.0)))

>>> ->  [7.0]
>>> DEBUG: WIRE: [6.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.osgi.framework)(version>=1.5.0)(!(version>=2.0.0)))

>>> ->  [0]
>>> DEBUG: WIRE: [6.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.osgi.framework.wiring)(version>=1.0.0)(!(version>=2.0.0)))

>>> ->  [0]
>>> DEBUG: WIRE: [6.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.osgi.service.packageadmin)(version>=1.2.0)(!(version>=2.0.0)))

>>> ->  [0]
>>> DEBUG: WIRE: [6.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.osgi.service.startlevel)(version>=1.1.0)(!(version>=2.0.0)))

>>> ->  [0]
>>> DEBUG: WIRE: [6.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.osgi.util.tracker)(version>=1.3.0)(!(version>=2.0.0)))

>>> ->  [0]
>>> DEBUG: WIRE: [7.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.osgi.framework) ->  [0]
>>> DEBUG: WIRE: [7.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.osgi.util.tracker) ->  [0]
>>> DEBUG: WIRE: [5.0] osgi.wiring.package;
>>> (osgi.wiring.package=javax.xml.stream) ->  [0]
>>> DEBUG: WIRE: [5.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.osgi.framework)(version>=1.4.0)(!(version>=2.0.0)))

>>> ->  [0]
>>> DEBUG: WIRE: [5.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)(!(version>=2.0.0)))

>>> ->  [6.0]
>>> DEBUG: WIRE: [5.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.osgi.service.url)(version>=1.0.0)(!(version>=2.0.0)))

>>> ->  [0]
>>> DEBUG: DYNAMIC WIRE: [6.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.apache.felix.bundlerepository) ->  [5.0]
>>> DEBUG: WIRE: [8.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.apache.felix.service.command)(status=provisional)(version>=0.10.0))

>>> ->  [7.0]
>>> DEBUG: WIRE: [8.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.osgi.framework) ->  [0]
>>> DEBUG: WIRE: [8.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.osgi.service.startlevel) ->  [0]
>>> DEBUG: WIRE: [8.0] osgi.wiring.package;
>>> (osgi.wiring.package=org.osgi.util.tracker) ->  [0]
>>> DEBUG: WIRE: [9.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.osgi.service.log)(version>=1.3.0)) ->  [6.0]
>>> DEBUG: WIRE: [9.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.osgi.framework)(version>=1.3.0)) ->  [0]
>>> ERROR: Bundle org.apache.felix.ipojo.arch.gogo [10] Error starting
>>> file:/home/ben/dev/IME/FelixForEclipse/bundle/org.apache.felix.ipojo.arch.gogo-1.0.1.jar

>>> (org.osgi.framework.BundleException: Unresolved constraint in bundle 
>>> org.apache.felix.ipojo.arch.gogo [10]: Unable to resolve 10.0: 
>>> missing requirement [10.0] osgi.wiring.package; 
>>> (&(osgi.wiring.package=org.apache.felix.ipojo.architecture)(version>=1.6.0)))

>>>
>>> org.osgi.framework.BundleException: Unresolved constraint in bundle
>>> org.apache.felix.ipojo.arch.gogo [10]: Unable to resolve 10.0: missing
>>> requirement [10.0] osgi.wiring.package;
>>> (&(osgi.wiring.package=org.apache.felix.ipojo.architecture)(version>=1.6.0))

>>>
>>>     at
>>> org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:3818)
>>>     at org.apache.felix.framework.Felix.startBundle(Felix.java:1868)
>>>     at
>>> org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1191)
>>>     at
>>> org.apache.felix.framework.FrameworkStartLevelImpl.run(FrameworkStartLevelImpl.java:295)

>>>
>>>     at java.lang.Thread.run(Thread.java:662)
>>> ____________________________
>>> Welcome to Apache Felix Gogo
>>>
>>> g! inspect cap osgi.wiring.package 9
>>> org.apache.felix.ipojo [9] provides:
>>> ------------------------------------
>>> osgi.wiring.package; org.apache.felix.ipojo.util 1.8.0 [UNUSED]
>>> osgi.wiring.package; org.objectweb.asm 3.0.0 [UNUSED]
>>> osgi.wiring.package; org.apache.felix.ipojo 1.8.0 [UNUSED]
>>> osgi.wiring.package; org.apache.felix.ipojo.handlers.dependency 1.8.0
>>> [UNUSED]
>>> osgi.wiring.package; org.apache.felix.ipojo.handlers.providedservice
>>> 1.8.0 [UNUSED]
>>> osgi.wiring.package; org.apache.felix.ipojo.parser 1.8.0 [UNUSED]
>>> osgi.wiring.package;
>>> org.apache.felix.ipojo.handlers.providedservice.strategy 1.8.0 [UNUSED]
>>> osgi.wiring.package; org.apache.felix.ipojo.architecture 1.8.0 [UNUSED]
>>> osgi.wiring.package; org.apache.felix.ipojo.context 1.8.0 [UNUSED]
>>> osgi.wiring.package; org.apache.felix.ipojo.metadata 1.8.0 [UNUSED]
>>> osgi.wiring.package; org.apache.felix.ipojo.handlers.configuration 
>>> 1.8.0
>>> [UNUSED]
>>> osgi.wiring.package; org.osgi.service.cm 1.2.0 [UNUSED]
>>> g! lb
>>> START LEVEL 1
>>>     ID|State      |Level|Name
>>>      0|Active     |    0|System Bundle (4.0.0)
>>>      1|Resolved   |    1|Bundle exporting Sun's JPEG classes (1.0.0)
>>>      2|Active     |    1|Servlet API Bundle (3.0.0.v201103241727)
>>>      3|Active     |    1|jython (0.0.0)
>>>      4|Active     |    1|Apache Commons Logging Plug-in
>>> (1.1.1.v201101211721)
>>>      5|Active     |    1|Apache Felix Bundle Repository (1.6.6)
>>>      6|Active     |    1|Apache Felix Gogo Command (0.12.0)
>>>      7|Active     |    1|Apache Felix Gogo Runtime (0.10.0)
>>>      8|Active     |    1|Apache Felix Gogo Shell (0.10.0)
>>>      9|Active     |    1|Apache Felix iPOJO (1.8.0)
>>>     10|Installed  |    1|Apache Felix iPOJO Gogo Command (1.0.1)
>>>     11|Active     |    1|Apache Jakarta log4j Plug-in
>>> (1.2.15.v201012070815)
>>>
>>>
>>> Le mercredi 28 septembre 2011 à 09:54 -0400, Richard S. Hall a écrit :
>>>> Try to set the framework's log level to 4 in config.properties to see
>>>> if you get more information.
>>>>
>>>> -- 
>>>> Sent from my phone, please excuse my brevity.
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
>>> For additional commands, e-mail: users-help@felix.apache.org
>>>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@felix.apache.org
For additional commands, e-mail: users-help@felix.apache.org


Mime
View raw message